import { ContentBodyType } from "./content-body-type";
import { ContentTextBody } from "./content-text-body";
import { ContentHtmlBody } from "./content-html-body";
import { ContentMarkdownBody } from "./content-markdown-body";
export type ContentBody = ((ContentHtmlBody & {
    type: ContentBodyType.HtmlBody;
}) | (ContentMarkdownBody & {
    type: ContentBodyType.MarkdownBody;
}) | (ContentTextBody & {
    type: ContentBodyType.TextBody;
}));
//# sourceMappingURL=content-body.d.ts.map